Skip to navigation

Delete a field definition from this fieldset

Delete a field definition from this fieldset

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fieldset_idstringRequired
ID of the Fieldset.

Request

This endpoint expects an object.
fieldIdstringRequired
The API ID of the field to delete from the fieldset.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
Reason the Fieldset was archived
archivedbooleanOptional
If the Fieldset is archived
availableRegistrationNamingOptionslist of enumsOptional
The registration naming strategies available for entities of implementing schemas. Determines how entities are named when registered.
constraintobject or nullOptional
Uniqueness constraint configuration for registered entities of schemas that implement this fieldset. Ensures that a specified combination of field values is unique across those entities. Null means no constraint.
createdAtstringOptional
DateTime the Fieldset was created
descriptionstringOptional
The description of this Fieldset.
displayNamestringOptional

The user-facing name of this fieldset.

fieldDefinitionsstringOptionalformat: "uri"
The field definitions that all schemas implementing this fieldset are required to include.
idstringOptional
itemIdPrefixstring or nullOptional
Prefix string prepended to generated entity IDs. Setting this on a fieldset replaces the entity ID prefix on all implementing schemas.
itemTypeenum or nullOptional

The entity item type that schemas implementing this Fieldset contain (e.g. DNA_SEQUENCE, AA_SEQUENCE, MIXTURE). Null when the Fieldset declares no base bioentity type.

modifiedAtstringOptional
DateTime the Fieldset was last modified
nameTemplateobject or nullOptional

Entity name template that auto-generates names for entities of implementing schemas when they are registered. Used in conjunction with availableRegistrationNamingOptions. Null means no template.

organizationobjectOptional
Organization the Fieldset is in
systemNamestringOptional

The machine-readable identifier for warehouse and API access.

Errors

400
Fieldset Delete Field Request Bad Request Error
403
Fieldset Delete Field Request Forbidden Error
404
Fieldset Delete Field Request Not Found Error
409
Fieldset Delete Field Request Conflict Error
429
Fieldset Delete Field Request Too Many Requests Error
500
Fieldset Delete Field Request Internal Server Error